package com.ruoyi.quartz.task;

import com.ruoyi.branch.domain.TBranchMemHis;
import com.ruoyi.branch.domain.TBranchMember;
import com.ruoyi.branch.mapper.TBranchMemHisMapper;
import com.ruoyi.branch.mapper.TBranchMemberMapper;
import com.ruoyi.branch.service.ITBranchMemHisService;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import com.ruoyi.branch.service.ITBranchMemberService;

import java.util.Calendar;
import java.util.List;

/**
 * 支部成员管理 定时任务
 *
 * @author Wang Zi Wen
 * @email wangggziwen@163.com
 * @date 2023/09/14 14:10:49
 */
@Component("branchMemHisTask")
public class BranchMemHisTask {

    @Autowired
    private TBranchMemberMapper tBranchMemberMapper;

    @Autowired
    private TBranchMemHisMapper tBranchMemHisMapper;

    /**
     * 年度数据归档
     */
    public void addBranchMemHis()
    {
        List<TBranchMember> tBranchMembers = tBranchMemberMapper.selectTBranchMemberList(new TBranchMember());
        Calendar calendar = Calendar.getInstance();
        int year = calendar.get(Calendar.YEAR);
        for (TBranchMember tBranchMember : tBranchMembers) {
            TBranchMemHis tBranchMemHis = new TBranchMemHis();
            BeanUtils.copyProperties(tBranchMember, tBranchMemHis);
            tBranchMemHis.setMemHisYear(year + "");
            tBranchMemHisMapper.insertTBranchMemHis(tBranchMemHis);
        }
    }

}
