package com.ruoyi.branch.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 学习计划对象 t_branch_learning
 * 
 * @author ruoyi
 * @date 2023-09-21
 */
public class TBranchLearning extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long learningId;

    /** 用户id */
    private Long userId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String nickName;

    /** 文件id */
    private Long fileId;

    /** 文件url */
    private String fileUrl;

    /** 课件名称 */
    @Excel(name = "课件名称")
    private String fileName;

    /** 状态 */
    @Excel(name = "状态")
    private String learningStatus;

    /** 规定学习时长 */
    @Excel(name = "规定学习时长（min）")
    private Long learningTimeRequired;

    /** 累计学习时长 */
    @Excel(name = "累计学习时长（min）")
    private Long learningTimeStudied;

    /** 截止日期 */
    @Excel(name = "截止日期", dateFormat = "yyyy-MM-dd")
    private Date learningDeadline;

    /** 进度 */
    @Excel(name = "进度")
    private String learningProgress;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 部门id */
    private Long deptId;

    /** 是否签名 */
    private String isSigned;

    /** 培训完成时间 */
    @Excel(name = "培训完成时间", dateFormat = "yyyy-MM-dd")
    private Date completeTime;

    /** 签名时间 */
    @Excel(name = "签名时间", dateFormat = "yyyy-MM-dd")
    private Date signTime;

    public Date getCompleteTime() {
        return completeTime;
    }

    public void setCompleteTime(Date completeTime) {
        this.completeTime = completeTime;
    }

    public Date getSignTime() {
        return signTime;
    }

    public void setSignTime(Date signTime) {
        this.signTime = signTime;
    }

    public String getIsSigned() {
        return isSigned;
    }

    public void setIsSigned(String isSigned) {
        this.isSigned = isSigned;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public Date getLearningDeadline() {
        return learningDeadline;
    }

    public void setLearningDeadline(Date learningDeadline) {
        this.learningDeadline = learningDeadline;
    }

    public void setLearningId(Long learningId)
    {
        this.learningId = learningId;
    }

    public Long getLearningId() 
    {
        return learningId;
    }

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    public void setFileId(Long fileId) 
    {
        this.fileId = fileId;
    }

    public Long getFileId() 
    {
        return fileId;
    }

    public void setLearningStatus(String learningStatus) 
    {
        this.learningStatus = learningStatus;
    }

    public String getLearningStatus() 
    {
        return learningStatus;
    }

    public void setLearningTimeRequired(Long learningTimeRequired)
    {
        this.learningTimeRequired = learningTimeRequired;
    }

    public Long getLearningTimeRequired()
    {
        return learningTimeRequired;
    }

    public void setLearningTimeStudied(Long learningTimeStudied)
    {
        this.learningTimeStudied = learningTimeStudied;
    }

    public Long getLearningTimeStudied()
    {
        return learningTimeStudied;
    }

    public void setLearningProgress(String learningProgress)
    {
        this.learningProgress = learningProgress;
    }

    public String getLearningProgress()
    {
        return learningProgress;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("learningId", getLearningId())
            .append("userId", getUserId())
            .append("fileId", getFileId())
            .append("learningStatus", getLearningStatus())
            .append("learningTimeRequired", getLearningTimeRequired())
            .append("learningTimeStudied", getLearningTimeStudied())
            .append("learningProgress", getLearningProgress())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deptId", getDeptId())
            .toString();
    }
}
