package com.ruoyi.branch.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.entity.SysRole;
import com.ruoyi.system.domain.SysPost;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 年度数据归档对象 t_branch_mem_his
 * 
 * @author ruoyi
 * @date 2023-09-14
 */
public class TBranchMemHis extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long memHisId;

    /** 归档年份 */
    @Excel(name = "归档年份")
    private String memHisYear;

    /** 部门id */
    private Long deptId;

    /** 党支部 */
    @Excel(name = "党支部")
    private String deptName;

    /** 成员类型 */
    private String memberType;

    /** 姓名 */
    @Excel(name = "姓名")
    private String nickName;

    /** 工号 */
    @Excel(name = "工号")
    private String staffId;

    /** 性别 */
    @Excel(name = "性别", readConverterExp = "0=男,1=女,2=未知")
    private String sex;

    /** 民族 */
    @Excel(name = "民族")
    private String ethnic;

    /** 出生年月 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生年月", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /** 学历 */
    @Excel(name = "学历")
    private String educationLevel;

    /** 是否团员 */
    @Excel(name = "是否团员", readConverterExp = "0=否,1=是")
    private String isLeague;

    /** 入职时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入职时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date workEntryTime;

    /** 现岗位 */
    @Excel(name = "现岗位")
    private String currentPost;

    /** 参加工作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "参加工作时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date workJoinTime;

    /** 入党时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入党时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date partyEntryTime;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String phonenumber;

    /** 委员分工 */
    @Excel(name = "委员分工")
    private String roleString;

    /** 任职时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "任职时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date labourEntryTime;

    /** 离任时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "离任时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date labourLeaveTime;

    /** 调进时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "调进时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date entryTime;

    /** 调出时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "调出时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date leaveTime;

    /** 申请入党时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请入党时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applyTime;

    /** 建表考察时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "建表考察时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date formCreateTime;

    /** 现培养人 */
    @Excel(name = "现培养人")
    private String currentMentor;

    /** 计划发展时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计划发展时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planDevelopDuration;

    /** 是否参加过入党前培训（2年有效） */
    @Excel(name = "是否参加过入党前培训", readConverterExp = "0=否,1=是")
    private String isTrained;

    /** 备注（增减原因） */
    @Excel(name = "备注")
    private String remarks;

    /** 角色对象 */
    private List<SysRole> roles;

    /** 岗位对象 */
    private List<SysPost> posts;

    /** 主键id */
    private Long memberId;

    /** 用户id */
    private Long userId;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 申请编号 */
    private String apNo;

    /** 流程编号 */
    private String processId;

    /** 申请状态（1已审核 0未审核） */
    private String apStatus;

    /** 转入支部id */
    private Long newDeptId;

    /** 原支部id */
    private Long oldDeptId;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getRoleString() {
        return roleString;
    }

    public void setRoleString(String roleString) {
        this.roleString = roleString;
    }

    public String getPhonenumber() {
        return phonenumber;
    }

    public void setPhonenumber(String phonenumber) {
        this.phonenumber = phonenumber;
    }

    public List<SysRole> getRoles() {
        return roles;
    }

    public void setRoles(List<SysRole> roles) {
        this.roles = roles;
    }

    public List<SysPost> getPosts() {
        return posts;
    }

    public void setPosts(List<SysPost> posts) {
        this.posts = posts;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public void setMemHisId(Long memHisId)
    {
        this.memHisId = memHisId;
    }

    public Long getMemHisId() 
    {
        return memHisId;
    }

    public void setMemHisYear(String memHisYear) 
    {
        this.memHisYear = memHisYear;
    }

    public String getMemHisYear() 
    {
        return memHisYear;
    }

    public void setMemberId(Long memberId) 
    {
        this.memberId = memberId;
    }

    public Long getMemberId() 
    {
        return memberId;
    }

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    public void setMemberType(String memberType) 
    {
        this.memberType = memberType;
    }

    public String getMemberType() 
    {
        return memberType;
    }

    public void setBirthday(Date birthday) 
    {
        this.birthday = birthday;
    }

    public Date getBirthday() 
    {
        return birthday;
    }

    public void setEducationLevel(String educationLevel) 
    {
        this.educationLevel = educationLevel;
    }

    public String getEducationLevel() 
    {
        return educationLevel;
    }

    public void setWorkJoinTime(Date workJoinTime) 
    {
        this.workJoinTime = workJoinTime;
    }

    public Date getWorkJoinTime() 
    {
        return workJoinTime;
    }

    public void setWorkEntryTime(Date workEntryTime) 
    {
        this.workEntryTime = workEntryTime;
    }

    public Date getWorkEntryTime() 
    {
        return workEntryTime;
    }

    public void setPartyEntryTime(Date partyEntryTime) 
    {
        this.partyEntryTime = partyEntryTime;
    }

    public Date getPartyEntryTime() 
    {
        return partyEntryTime;
    }

    public void setCurrentPost(String currentPost) 
    {
        this.currentPost = currentPost;
    }

    public String getCurrentPost() 
    {
        return currentPost;
    }

    public void setLabourEntryTime(Date labourEntryTime) 
    {
        this.labourEntryTime = labourEntryTime;
    }

    public Date getLabourEntryTime() 
    {
        return labourEntryTime;
    }

    public void setLabourLeaveTime(Date labourLeaveTime) 
    {
        this.labourLeaveTime = labourLeaveTime;
    }

    public Date getLabourLeaveTime() 
    {
        return labourLeaveTime;
    }

    public void setEntryTime(Date entryTime) 
    {
        this.entryTime = entryTime;
    }

    public Date getEntryTime() 
    {
        return entryTime;
    }

    public void setLeaveTime(Date leaveTime) 
    {
        this.leaveTime = leaveTime;
    }

    public Date getLeaveTime() 
    {
        return leaveTime;
    }

    public void setIsLeague(String isLeague) 
    {
        this.isLeague = isLeague;
    }

    public String getIsLeague() 
    {
        return isLeague;
    }

    public void setApplyTime(Date applyTime) 
    {
        this.applyTime = applyTime;
    }

    public Date getApplyTime() 
    {
        return applyTime;
    }

    public void setFormCreateTime(Date formCreateTime) 
    {
        this.formCreateTime = formCreateTime;
    }

    public Date getFormCreateTime() 
    {
        return formCreateTime;
    }

    public void setCurrentMentor(String currentMentor) 
    {
        this.currentMentor = currentMentor;
    }

    public String getCurrentMentor() 
    {
        return currentMentor;
    }

    public void setPlanDevelopDuration(Date planDevelopDuration) 
    {
        this.planDevelopDuration = planDevelopDuration;
    }

    public Date getPlanDevelopDuration() 
    {
        return planDevelopDuration;
    }

    public void setIsTrained(String isTrained) 
    {
        this.isTrained = isTrained;
    }

    public String getIsTrained() 
    {
        return isTrained;
    }

    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    public void setEthnic(String ethnic) 
    {
        this.ethnic = ethnic;
    }

    public String getEthnic() 
    {
        return ethnic;
    }

    public void setStaffId(String staffId) 
    {
        this.staffId = staffId;
    }

    public String getStaffId() 
    {
        return staffId;
    }

    public void setApNo(String apNo) 
    {
        this.apNo = apNo;
    }

    public String getApNo() 
    {
        return apNo;
    }

    public void setProcessId(String processId) 
    {
        this.processId = processId;
    }

    public String getProcessId() 
    {
        return processId;
    }

    public void setApStatus(String apStatus) 
    {
        this.apStatus = apStatus;
    }

    public String getApStatus() 
    {
        return apStatus;
    }

    public void setNewDeptId(Long newDeptId) 
    {
        this.newDeptId = newDeptId;
    }

    public Long getNewDeptId() 
    {
        return newDeptId;
    }

    public void setOldDeptId(Long oldDeptId) 
    {
        this.oldDeptId = oldDeptId;
    }

    public Long getOldDeptId() 
    {
        return oldDeptId;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("memHisId", getMemHisId())
            .append("memHisYear", getMemHisYear())
            .append("memberId", getMemberId())
            .append("userId", getUserId())
            .append("memberType", getMemberType())
            .append("birthday", getBirthday())
            .append("educationLevel", getEducationLevel())
            .append("workJoinTime", getWorkJoinTime())
            .append("workEntryTime", getWorkEntryTime())
            .append("partyEntryTime", getPartyEntryTime())
            .append("currentPost", getCurrentPost())
            .append("labourEntryTime", getLabourEntryTime())
            .append("labourLeaveTime", getLabourLeaveTime())
            .append("entryTime", getEntryTime())
            .append("leaveTime", getLeaveTime())
            .append("isLeague", getIsLeague())
            .append("applyTime", getApplyTime())
            .append("formCreateTime", getFormCreateTime())
            .append("currentMentor", getCurrentMentor())
            .append("planDevelopDuration", getPlanDevelopDuration())
            .append("isTrained", getIsTrained())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deptId", getDeptId())
            .append("ethnic", getEthnic())
            .append("staffId", getStaffId())
            .append("apNo", getApNo())
            .append("processId", getProcessId())
            .append("apStatus", getApStatus())
            .append("newDeptId", getNewDeptId())
            .append("oldDeptId", getOldDeptId())
            .toString();
    }
}
