package com.ruoyi.branch.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.domain.entity.SysRole;
import com.ruoyi.system.domain.SysPost;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 支部成员管理对象 t_branch_member
 *
 * @author ruoyi
 * @date 2023-06-15
 */
public class TBranchDyVo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @Excel(name = "党支部")
    private String deptName;

    /**
     * 用户昵称
     */
    @Excel(name = "姓名")
    private String nickName;

    /**
     * 用户性别
     */
    @Excel(name = "性别", readConverterExp = "0=男,1=女,2=未知")
    private String sex;

    /**
     * 出生年月
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生年月", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /**
     * 学历
     */
    @Excel(name = "学历", dictType = "member_education_level")
    private String educationLevel;

    /**
     * 参加工作时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "参加工作时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date workJoinTime;

    /**
     * 入党时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入党时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date partyEntryTime;

    /**
     * 手机号码
     */
    @Excel(name = "联系方式")
    private String phonenumber;

    /**
     * 调进时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "调进时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date entryTime;

    /**
     * 调出时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "调出时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date leaveTime;

    /**
     * 备注（增减原因）
     */
    @Excel(name = "备注")
    private String remarks;

    /**
     * 角色对象
     */
    private List<SysRole> roles;

    /**
     * 岗位对象
     */
    private List<SysPost> posts;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public String getEducationLevel() {
        return educationLevel;
    }

    public void setEducationLevel(String educationLevel) {
        this.educationLevel = educationLevel;
    }

    public Date getWorkJoinTime() {
        return workJoinTime;
    }

    public void setWorkJoinTime(Date workJoinTime) {
        this.workJoinTime = workJoinTime;
    }

    public Date getPartyEntryTime() {
        return partyEntryTime;
    }

    public void setPartyEntryTime(Date partyEntryTime) {
        this.partyEntryTime = partyEntryTime;
    }

    public String getPhonenumber() {
        return phonenumber;
    }

    public void setPhonenumber(String phonenumber) {
        this.phonenumber = phonenumber;
    }

    public Date getEntryTime() {
        return entryTime;
    }

    public void setEntryTime(Date entryTime) {
        this.entryTime = entryTime;
    }

    public Date getLeaveTime() {
        return leaveTime;
    }

    public void setLeaveTime(Date leaveTime) {
        this.leaveTime = leaveTime;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public List<SysRole> getRoles() {
        return roles;
    }

    public void setRoles(List<SysRole> roles) {
        this.roles = roles;
    }

    public List<SysPost> getPosts() {
        return posts;
    }

    public void setPosts(List<SysPost> posts) {
        this.posts = posts;
    }
}
