package com.ruoyi.branch.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.domain.entity.SysRole;
import com.ruoyi.system.domain.SysPost;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 支部成员管理对象 t_branch_member
 *
 * @author ruoyi
 * @date 2023-06-15
 */
public class TBranchJjfzFzdxVo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @Excel(name = "党支部")
    private String deptName;

    /**
     * 工号
     */
    @Excel(name = "工号")
    private String staffId;

    /**
     * 用户昵称
     */
    @Excel(name = "用户名称")
    private String nickName;

    /**
     * 用户性别
     */
    @Excel(name = "用户性别", readConverterExp = "0=男,1=女,2=未知")
    private String sex;

    /**
     * 民族
     */
    @Excel(name = "民族",dictType = "member_ethnic")
    private String ethnic;

    /**
     * 出生年月
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生年月", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /**
     * 参加工作时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "参加工作时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date workJoinTime;

    /**
     * 入职时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入职时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date workEntryTime;

    /**
     * 学历
     */
    @Excel(name = "学历", dictType = "member_education_level")
    private String educationLevel;

    /**
     * 是否团员
     */
    @Excel(name = "是否团员", readConverterExp = "1=是,0=否")
    private String isLeague;

    /**
     * 申请入党时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请入党时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applyTime;

    /**
     * 建表考察时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "建表考察时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date formCreateTime;

    /**
     * 现培养人
     */
    @Excel(name = "现培养人")
    private String currentMentor;

    /**
     * 计划发展时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计划发展时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planDevelopDuration;

    /**
     * 是否参加过入党前培训（2年有效）
     */
    @Excel(name = "是否参加过入党前培训(2年有效)", readConverterExp = "1=是,0=否")
    private String isTrained;

    /**
     * 备注（增减原因）
     */
    @Excel(name = "备注")
    private String remarks;

    /**
     * 角色对象
     */
    private List<SysRole> roles;

    /**
     * 岗位对象
     */
    private List<SysPost> posts;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getEthnic() {
        return ethnic;
    }

    public void setEthnic(String ethnic) {
        this.ethnic = ethnic;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public Date getWorkJoinTime() {
        return workJoinTime;
    }

    public void setWorkJoinTime(Date workJoinTime) {
        this.workJoinTime = workJoinTime;
    }

    public Date getWorkEntryTime() {
        return workEntryTime;
    }

    public void setWorkEntryTime(Date workEntryTime) {
        this.workEntryTime = workEntryTime;
    }

    public String getEducationLevel() {
        return educationLevel;
    }

    public void setEducationLevel(String educationLevel) {
        this.educationLevel = educationLevel;
    }

    public String getIsLeague() {
        return isLeague;
    }

    public void setIsLeague(String isLeague) {
        this.isLeague = isLeague;
    }

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    public Date getFormCreateTime() {
        return formCreateTime;
    }

    public void setFormCreateTime(Date formCreateTime) {
        this.formCreateTime = formCreateTime;
    }

    public String getCurrentMentor() {
        return currentMentor;
    }

    public void setCurrentMentor(String currentMentor) {
        this.currentMentor = currentMentor;
    }

    public Date getPlanDevelopDuration() {
        return planDevelopDuration;
    }

    public void setPlanDevelopDuration(Date planDevelopDuration) {
        this.planDevelopDuration = planDevelopDuration;
    }

    public String getIsTrained() {
        return isTrained;
    }

    public void setIsTrained(String isTrained) {
        this.isTrained = isTrained;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public List<SysRole> getRoles() {
        return roles;
    }

    public void setRoles(List<SysRole> roles) {
        this.roles = roles;
    }

    public List<SysPost> getPosts() {
        return posts;
    }

    public void setPosts(List<SysPost> posts) {
        this.posts = posts;
    }
}
