package com.ruoyi.branch.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.entity.SysRole;
import com.ruoyi.system.domain.SysPost;

import java.util.Date;
import java.util.List;

public class TBranchWyhVo {

    @Excel(name = "党支部")
    private String deptName;

    /**
     * 用户昵称
     */
    @Excel(name = "姓名")
    private String nickName;

    /**
     * 用户性别
     */
    @Excel(name = "性别", readConverterExp = "0=男,1=女,2=未知")
    private String sex;

    /**
     * 出生年月
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生年月", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /**
     * 学历
     */
    @Excel(name = "学历", dictType = "member_education_level")
    private String educationLevel;

    /**
     * 入职时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入职时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date workEntryTime;

    @Excel(name = "现岗位")
    private String post;

    /**
     * 入党时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入党时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date partyEntryTime;

    @Excel(name = "委员分工")
    private String role;

    /**
     * 任职时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "任职时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date labourEntryTime;

    /**
     * 离任时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "离任时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date labourLeaveTime;


    /**
     * 备注（增减原因）
     */
    @Excel(name = "备注")
    private String remarks;


    /**
     * 角色对象
     */
    private List<SysRole> roles;

    /**
     * 岗位对象
     */
    private List<SysPost> posts;

    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public String getEducationLevel() {
        return educationLevel;
    }

    public void setEducationLevel(String educationLevel) {
        this.educationLevel = educationLevel;
    }

    public Date getWorkEntryTime() {
        return workEntryTime;
    }

    public void setWorkEntryTime(Date workEntryTime) {
        this.workEntryTime = workEntryTime;
    }

    public Date getPartyEntryTime() {
        return partyEntryTime;
    }

    public void setPartyEntryTime(Date partyEntryTime) {
        this.partyEntryTime = partyEntryTime;
    }

    public String getPost() {
        return post;
    }

    public void setPost(String post) {
        this.post = post;
    }

    public Date getLabourEntryTime() {
        return labourEntryTime;
    }

    public void setLabourEntryTime(Date labourEntryTime) {
        this.labourEntryTime = labourEntryTime;
    }

    public Date getLabourLeaveTime() {
        return labourLeaveTime;
    }

    public void setLabourLeaveTime(Date labourLeaveTime) {
        this.labourLeaveTime = labourLeaveTime;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public List<SysRole> getRoles() {
        return roles;
    }

    public void setRoles(List<SysRole> roles) {
        this.roles = roles;
    }

    public List<SysPost> getPosts() {
        return posts;
    }

    public void setPosts(List<SysPost> posts) {
        this.posts = posts;
    }
}
