package com.ruoyi.branch.mapper;

import java.util.List;
import com.ruoyi.branch.domain.TBranchActivityNotice;

/**
 * 支部活动预告Mapper接口
 * 
 * @author ruoyi
 * @date 2023-07-20
 */
public interface TBranchActivityNoticeMapper 
{
    /**
     * 查询支部活动预告
     * 
     * @param noticeId 支部活动预告主键
     * @return 支部活动预告
     */
    public TBranchActivityNotice selectTBranchActivityNoticeByNoticeId(Long noticeId);

    /**
     * 查询支部活动预告列表
     * 
     * @param tBranchActivityNotice 支部活动预告
     * @return 支部活动预告集合
     */
    public List<TBranchActivityNotice> selectTBranchActivityNoticeList(TBranchActivityNotice tBranchActivityNotice);

    /**
     * 新增支部活动预告
     * 
     * @param tBranchActivityNotice 支部活动预告
     * @return 结果
     */
    public int insertTBranchActivityNotice(TBranchActivityNotice tBranchActivityNotice);

    /**
     * 修改支部活动预告
     * 
     * @param tBranchActivityNotice 支部活动预告
     * @return 结果
     */
    public int updateTBranchActivityNotice(TBranchActivityNotice tBranchActivityNotice);

    /**
     * 删除支部活动预告
     * 
     * @param noticeId 支部活动预告主键
     * @return 结果
     */
    public int deleteTBranchActivityNoticeByNoticeId(Long noticeId);

    /**
     * 批量删除支部活动预告
     * 
     * @param noticeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTBranchActivityNoticeByNoticeIds(Long[] noticeIds);
}
