package com.ruoyi.branch.mapper;

import java.util.List;
import com.ruoyi.branch.domain.TBranchLearning;

/**
 * 学习计划Mapper接口
 * 
 * @author ruoyi
 * @date 2023-09-21
 */
public interface TBranchLearningMapper 
{
    /**
     * 查询学习计划
     * 
     * @param learningId 学习计划主键
     * @return 学习计划
     */
    public TBranchLearning selectTBranchLearningByLearningId(Long learningId);

    /**
     * 查询学习计划列表
     * 
     * @param tBranchLearning 学习计划
     * @return 学习计划集合
     */
    public List<TBranchLearning> selectTBranchLearningList(TBranchLearning tBranchLearning);

    /**
     * 新增学习计划
     * 
     * @param tBranchLearning 学习计划
     * @return 结果
     */
    public int insertTBranchLearning(TBranchLearning tBranchLearning);

    /**
     * 修改学习计划
     * 
     * @param tBranchLearning 学习计划
     * @return 结果
     */
    public int updateTBranchLearning(TBranchLearning tBranchLearning);

    /**
     * 删除学习计划
     * 
     * @param learningId 学习计划主键
     * @return 结果
     */
    public int deleteTBranchLearningByLearningId(Long learningId);

    /**
     * 批量删除学习计划
     * 
     * @param learningIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTBranchLearningByLearningIds(Long[] learningIds);
}
