package com.ruoyi.branch.mapper;

import java.util.List;
import com.ruoyi.branch.domain.TBranchLeaveApply;

/**
 * 请假申请Mapper接口
 * 
 * @author ruoyi
 * @date 2023-09-27
 */
public interface TBranchLeaveApplyMapper 
{
    /**
     * 查询请假申请
     * 
     * @param leaveId 请假申请主键
     * @return 请假申请
     */
    public TBranchLeaveApply selectTBranchLeaveApplyByLeaveId(Long leaveId);

    /**
     * 查询请假申请列表
     * 
     * @param tBranchLeaveApply 请假申请
     * @return 请假申请集合
     */
    public List<TBranchLeaveApply> selectTBranchLeaveApplyList(TBranchLeaveApply tBranchLeaveApply);

    /**
     * 新增请假申请
     * 
     * @param tBranchLeaveApply 请假申请
     * @return 结果
     */
    public int insertTBranchLeaveApply(TBranchLeaveApply tBranchLeaveApply);

    /**
     * 修改请假申请
     * 
     * @param tBranchLeaveApply 请假申请
     * @return 结果
     */
    public int updateTBranchLeaveApply(TBranchLeaveApply tBranchLeaveApply);

    /**
     * 删除请假申请
     * 
     * @param leaveId 请假申请主键
     * @return 结果
     */
    public int deleteTBranchLeaveApplyByLeaveId(Long leaveId);

    /**
     * 批量删除请假申请
     * 
     * @param leaveIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTBranchLeaveApplyByLeaveIds(Long[] leaveIds);
}
