package com.ruoyi.branch.mapper;

import java.util.List;
import com.ruoyi.branch.domain.TBranchMemHis;

/**
 * 年度数据归档Mapper接口
 * 
 * @author ruoyi
 * @date 2023-09-14
 */
public interface TBranchMemHisMapper 
{
    /**
     * 查询年度数据归档
     * 
     * @param memHisId 年度数据归档主键
     * @return 年度数据归档
     */
    public TBranchMemHis selectTBranchMemHisByMemHisId(Long memHisId);

    /**
     * 查询年度数据归档列表
     * 
     * @param tBranchMemHis 年度数据归档
     * @return 年度数据归档集合
     */
    public List<TBranchMemHis> selectTBranchMemHisList(TBranchMemHis tBranchMemHis);

    /**
     * 新增年度数据归档
     * 
     * @param tBranchMemHis 年度数据归档
     * @return 结果
     */
    public int insertTBranchMemHis(TBranchMemHis tBranchMemHis);

    /**
     * 修改年度数据归档
     * 
     * @param tBranchMemHis 年度数据归档
     * @return 结果
     */
    public int updateTBranchMemHis(TBranchMemHis tBranchMemHis);

    /**
     * 删除年度数据归档
     * 
     * @param memHisId 年度数据归档主键
     * @return 结果
     */
    public int deleteTBranchMemHisByMemHisId(Long memHisId);

    /**
     * 批量删除年度数据归档
     * 
     * @param memHisIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTBranchMemHisByMemHisIds(Long[] memHisIds);
}
