package com.ruoyi.branch.service;

import java.util.List;
import com.ruoyi.branch.domain.TBranchDemeanor;

/**
 * 支部园地风采Service接口
 * 
 * @author ruoyi
 * @date 2023-07-27
 */
public interface ITBranchDemeanorService 
{
    /**
     * 查询支部园地风采
     * 
     * @param demeanorId 支部园地风采主键
     * @return 支部园地风采
     */
    public TBranchDemeanor selectTBranchDemeanorByDemeanorId(Long demeanorId);

    /**
     * 查询支部园地风采列表
     * 
     * @param tBranchDemeanor 支部园地风采
     * @return 支部园地风采集合
     */
    public List<TBranchDemeanor> selectTBranchDemeanorList(TBranchDemeanor tBranchDemeanor);

    /**
     * 新增支部园地风采
     * 
     * @param tBranchDemeanor 支部园地风采
     * @return 结果
     */
    public int insertTBranchDemeanor(TBranchDemeanor tBranchDemeanor);

    /**
     * 修改支部园地风采
     * 
     * @param tBranchDemeanor 支部园地风采
     * @return 结果
     */
    public int updateTBranchDemeanor(TBranchDemeanor tBranchDemeanor);

    /**
     * 批量删除支部园地风采
     * 
     * @param demeanorIds 需要删除的支部园地风采主键集合
     * @return 结果
     */
    public int deleteTBranchDemeanorByDemeanorIds(Long[] demeanorIds);

    /**
     * 删除支部园地风采信息
     * 
     * @param demeanorId 支部园地风采主键
     * @return 结果
     */
    public int deleteTBranchDemeanorByDemeanorId(Long demeanorId);
}
