package com.ruoyi.branch.service;

import java.util.List;
import com.ruoyi.branch.domain.TBranchLearning;

/**
 * 学习计划Service接口
 * 
 * @author ruoyi
 * @date 2023-09-21
 */
public interface ITBranchLearningService 
{
    /**
     * 查询学习计划
     * 
     * @param learningId 学习计划主键
     * @return 学习计划
     */
    public TBranchLearning selectTBranchLearningByLearningId(Long learningId);

    /**
     * 查询学习计划列表
     * 
     * @param tBranchLearning 学习计划
     * @return 学习计划集合
     */
    public List<TBranchLearning> selectTBranchLearningList(TBranchLearning tBranchLearning);

    /**
     * 新增学习计划
     * 
     * @param tBranchLearning 学习计划
     * @return 结果
     */
    public int insertTBranchLearning(TBranchLearning tBranchLearning);

    /**
     * 修改学习计划
     * 
     * @param tBranchLearning 学习计划
     * @return 结果
     */
    public int updateTBranchLearning(TBranchLearning tBranchLearning);

    /**
     * 批量删除学习计划
     * 
     * @param learningIds 需要删除的学习计划主键集合
     * @return 结果
     */
    public int deleteTBranchLearningByLearningIds(Long[] learningIds);

    /**
     * 删除学习计划信息
     * 
     * @param learningId 学习计划主键
     * @return 结果
     */
    public int deleteTBranchLearningByLearningId(Long learningId);
}
