package com.ruoyi.branch.service;

import com.ruoyi.branch.domain.TBranchMeeting;

import java.util.List;

/**
 * 支部会议管理Service接口
 * 
 * @author ruoyi
 * @date 2023-06-07
 */
public interface ITBranchMeetingService
{
    /**
     * 查询支部会议管理
     * 
     * @param meetingId 支部会议管理主键
     * @return 支部会议管理
     */
    public TBranchMeeting selectTBranchMeetingMgrByMeetingId(Long meetingId);

    /**
     * 查询支部会议管理列表
     * 
     * @param tBranchMeeting 支部会议管理
     * @return 支部会议管理集合
     */
    public List<TBranchMeeting> selectTBranchMeetingMgrList(TBranchMeeting tBranchMeeting);

    /**
     * 新增支部会议管理
     * 
     * @param tBranchMeeting 支部会议管理
     * @return 结果
     */
    public int insertTBranchMeetingMgr(TBranchMeeting tBranchMeeting);

    /**
     * 修改支部会议管理
     * 
     * @param tBranchMeeting 支部会议管理
     * @return 结果
     */
    public int updateTBranchMeetingMgr(TBranchMeeting tBranchMeeting);

    /**
     * 批量删除支部会议管理
     * 
     * @param meetingIds 需要删除的支部会议管理主键集合
     * @return 结果
     */
    public int deleteTBranchMeetingMgrByMeetingIds(Long[] meetingIds);

    /**
     * 删除支部会议管理信息
     * 
     * @param meetingId 支部会议管理主键
     * @return 结果
     */
    public int deleteTBranchMeetingMgrByMeetingId(Long meetingId);
}
