package com.ruoyi.branch.service;

import java.util.List;
import com.ruoyi.branch.domain.TBranchMemTransfer;

/**
 * 党员关系转移记录Service接口
 * 
 * @author ruoyi
 * @date 2023-07-13
 */
public interface ITBranchMemTransferService 
{
    /**
     * 查询党员关系转移记录
     * 
     * @param transferId 党员关系转移记录主键
     * @return 党员关系转移记录
     */
    public TBranchMemTransfer selectTBranchMemTransferByTransferId(Long transferId);

    /**
     * 查询党员关系转移记录列表
     * 
     * @param tBranchMemTransfer 党员关系转移记录
     * @return 党员关系转移记录集合
     */
    public List<TBranchMemTransfer> selectTBranchMemTransferList(TBranchMemTransfer tBranchMemTransfer);

    /**
     * 新增党员关系转移记录
     * 
     * @param tBranchMemTransfer 党员关系转移记录
     * @return 结果
     */
    public int insertTBranchMemTransfer(TBranchMemTransfer tBranchMemTransfer);

    /**
     * 修改党员关系转移记录
     * 
     * @param tBranchMemTransfer 党员关系转移记录
     * @return 结果
     */
    public int updateTBranchMemTransfer(TBranchMemTransfer tBranchMemTransfer);

    /**
     * 批量删除党员关系转移记录
     * 
     * @param transferIds 需要删除的党员关系转移记录主键集合
     * @return 结果
     */
    public int deleteTBranchMemTransferByTransferIds(Long[] transferIds);

    /**
     * 删除党员关系转移记录信息
     * 
     * @param transferId 党员关系转移记录主键
     * @return 结果
     */
    public int deleteTBranchMemTransferByTransferId(Long transferId);
}
