package com.ruoyi.branch.service;

import java.util.List;
import com.ruoyi.branch.domain.TBranchPlanItem;

/**
 * 支部年度工作计划条目Service接口
 * 
 * @author ruoyi
 * @date 2023-07-17
 */
public interface ITBranchPlanItemService 
{
    /**
     * 查询支部年度工作计划条目
     * 
     * @param itemId 支部年度工作计划条目主键
     * @return 支部年度工作计划条目
     */
    public TBranchPlanItem selectTBranchPlanItemByItemId(Long itemId);

    /**
     * 查询支部年度工作计划条目列表
     * 
     * @param tBranchPlanItem 支部年度工作计划条目
     * @return 支部年度工作计划条目集合
     */
    public List<TBranchPlanItem> selectTBranchPlanItemList(TBranchPlanItem tBranchPlanItem);

    /**
     * 新增支部年度工作计划条目
     * 
     * @param tBranchPlanItem 支部年度工作计划条目
     * @return 结果
     */
    public int insertTBranchPlanItem(TBranchPlanItem tBranchPlanItem);

    /**
     * 修改支部年度工作计划条目
     * 
     * @param tBranchPlanItem 支部年度工作计划条目
     * @return 结果
     */
    public int updateTBranchPlanItem(TBranchPlanItem tBranchPlanItem);

    /**
     * 批量删除支部年度工作计划条目
     * 
     * @param itemIds 需要删除的支部年度工作计划条目主键集合
     * @return 结果
     */
    public int deleteTBranchPlanItemByItemIds(Long[] itemIds);

    /**
     * 删除支部年度工作计划条目信息
     * 
     * @param itemId 支部年度工作计划条目主键
     * @return 结果
     */
    public int deleteTBranchPlanItemByItemId(Long itemId);
}
