package com.ruoyi.branch.service.impl;

import java.util.List;

import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.branch.mapper.TBranchLeaveApplyMapper;
import com.ruoyi.branch.domain.TBranchLeaveApply;
import com.ruoyi.branch.service.ITBranchLeaveApplyService;

/**
 * 请假申请Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-09-27
 */
@Service
public class TBranchLeaveApplyServiceImpl implements ITBranchLeaveApplyService 
{
    @Autowired
    private TBranchLeaveApplyMapper tBranchLeaveApplyMapper;

    /**
     * 查询请假申请
     * 
     * @param leaveId 请假申请主键
     * @return 请假申请
     */
    @Override
    public TBranchLeaveApply selectTBranchLeaveApplyByLeaveId(Long leaveId)
    {
        return tBranchLeaveApplyMapper.selectTBranchLeaveApplyByLeaveId(leaveId);
    }

    /**
     * 查询请假申请列表
     * 
     * @param tBranchLeaveApply 请假申请
     * @return 请假申请
     */
    @Override
    @DataScope(deptAlias = "d", userAlias = "u")
    public List<TBranchLeaveApply> selectTBranchLeaveApplyList(TBranchLeaveApply tBranchLeaveApply)
    {
        return tBranchLeaveApplyMapper.selectTBranchLeaveApplyList(tBranchLeaveApply);
    }

    /**
     * 新增请假申请
     * 
     * @param tBranchLeaveApply 请假申请
     * @return 结果
     */
    @Override
    public int insertTBranchLeaveApply(TBranchLeaveApply tBranchLeaveApply)
    {
        tBranchLeaveApply.setCreateTime(DateUtils.getNowDate());
        return tBranchLeaveApplyMapper.insertTBranchLeaveApply(tBranchLeaveApply);
    }

    /**
     * 修改请假申请
     * 
     * @param tBranchLeaveApply 请假申请
     * @return 结果
     */
    @Override
    public int updateTBranchLeaveApply(TBranchLeaveApply tBranchLeaveApply)
    {
        tBranchLeaveApply.setUpdateTime(DateUtils.getNowDate());
        return tBranchLeaveApplyMapper.updateTBranchLeaveApply(tBranchLeaveApply);
    }

    /**
     * 批量删除请假申请
     * 
     * @param leaveIds 需要删除的请假申请主键
     * @return 结果
     */
    @Override
    public int deleteTBranchLeaveApplyByLeaveIds(Long[] leaveIds)
    {
        return tBranchLeaveApplyMapper.deleteTBranchLeaveApplyByLeaveIds(leaveIds);
    }

    /**
     * 删除请假申请信息
     * 
     * @param leaveId 请假申请主键
     * @return 结果
     */
    @Override
    public int deleteTBranchLeaveApplyByLeaveId(Long leaveId)
    {
        return tBranchLeaveApplyMapper.deleteTBranchLeaveApplyByLeaveId(leaveId);
    }
}
