import request from '@/utils/request'

export function updateLearningTimeStudied(data) {
  return request({
    url: '/branch/learning/updateLearningTimeStudied',
    method: 'put',
    data: data
  })
}

// 添加计划
export function addPlan(data) {
  return request({
    url: '/branch/learning/addPlan',
    method: 'post',
    data: data
  })
}

// 查询学习计划列表（不分页）
export function listLearningNoPage(query) {
  return request({
    url: '/branch/learning/listNoPage',
    method: 'get',
    params: query
  })
}

// 查询学习计划列表
export function listLearning(query) {
  return request({
    url: '/branch/learning/list',
    method: 'get',
    params: query
  })
}

// 查询学习计划详细
export function getLearning(learningId) {
  return request({
    url: '/branch/learning/' + learningId,
    method: 'get'
  })
}

// 新增学习计划
export function addLearning(data) {
  return request({
    url: '/branch/learning',
    method: 'post',
    data: data
  })
}

// 修改学习计划
export function updateLearning(data) {
  return request({
    url: '/branch/learning',
    method: 'put',
    data: data
  })
}

// 删除学习计划
export function delLearning(learningId) {
  return request({
    url: '/branch/learning/' + learningId,
    method: 'delete'
  })
}
