import request from '@/utils/request'

// 审批处理
export function handle(data) {
  return request({
    url: '/branch/leave/handle',
    method: 'put',
    data: data
  })
}

// 提交申请
export function applyLeave(leaveId) {
  return request({
    url: '/branch/leave/apply/' + leaveId,
    method: 'put'
  })
}

// 查询请假申请列表
export function listLeave(query) {
  return request({
    url: '/branch/leave/list',
    method: 'get',
    params: query
  })
}

// 查询请假申请详细
export function getLeave(leaveId) {
  return request({
    url: '/branch/leave/' + leaveId,
    method: 'get'
  })
}

// 新增请假申请
export function addLeave(data) {
  return request({
    url: '/branch/leave',
    method: 'post',
    data: data
  })
}

// 修改请假申请
export function updateLeave(data) {
  return request({
    url: '/branch/leave',
    method: 'put',
    data: data
  })
}

// 删除请假申请
export function delLeave(leaveId) {
  return request({
    url: '/branch/leave/' + leaveId,
    method: 'delete'
  })
}
